Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0036230
TypeCategorySeverityReproducibilityDate SubmittedLast Update
backport[Openbravo ERP] 04. Warehouse managementmajoralways2017-06-09 09:522017-06-16 09:08
ReporteraferrazView Statuspublic 
Assigned Toinigosanchez 
PriorityimmediateResolutionfixedFixed in Version3.0PR17Q1.2
StatusclosedFix in branchFixed in SCM revision93b462dd0026
ProjectionnoneETAnoneTarget Version3.0PR17Q1.2
OSLinux 64 bitDatabasePostgreSQLJava version1.6.0_18
OS VersionProfessional ApplianceDatabase version8.3.9Ant version1.7.1
Product VersionSCM revision 
Review Assigned Toalostale
Web browser
ModulesCore
Regression levelProduction - Confirmed Stable
Regression date2016-10-17
Regression introduced in release3.0PR17Q1
Regression introduced by commithttps://code.openbravo.com/erp/devel/pi/rev/b468094df0d0 [^]
Triggers an Emergency PackNo
Summary

0036230: Not possible to change secondary quantity nor secondary unit in Goods Receipt create lines from process

DescriptionNot possible to change secondary quantity nor secondary unit in Goods Receipt create lines from process
Steps To ReproduceAs system admin role:
   Set as displayed the 'Order Quantity' and 'Order UOM' fields of at least purchase order and goods receipt lines
   Set as active 'Product - UOM' and 'Unit Of Measure - Conversion' tabs

As group admin role:
   Create a new product
   Add a purchase price list to it
   Set a unit in the UOM tab, for example Kg
   Create another unit in the UOM tab, for example Liter
   Define a conversion between Kg and Unit
   Create a purchase order, add a line to it and include the previously created product
   Select Kg in Order UOM field and set the quantity in Order Quantity field
   Book it
   Create a Goods Receipt header
   Click on Create Lines From and select the already created order line
   Change secondary quantity or secondary unit.
   Click on Ok button and realize any action is performed and Ok and Cancel buttons get disabled.
   Check in js console the following error: POST http://localhost:8080/openbravo/ad_callouts/SL_CreateLines_Conversion_UOM.html [^] 404 (No Encontrado)
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
blocks defect 0036216 closedinigosanchez Not possible to change secondary quantity nor secondary unit in Goods Receipt create lines from process 

-  Notes
(0097345)
hgbot (developer)
2017-06-13 10:22

Repository: erp/backports/3.0PR17Q1.2
Changeset: 93b462dd002657b8e22a78cf84ca32f7b8a6cec9
Author: Inigo Sanchez <inigo.sanchez <at> openbravo.com>
Date: Tue Jun 13 10:21:28 2017 +0200
URL: http://code.openbravo.com/erp/backports/3.0PR17Q1.2/rev/93b462dd002657b8e22a78cf84ca32f7b8a6cec9 [^]

Fixed issue 36230:servlet callout SL_CreateLines_Conversion_UOM is not working

The reported problem is the same that it had been fixed in this issue 0035540 . In this case,
SL_CreateLines_Conversion_UOM callout is still required to be manually executed as a servlet.

Callouts should only be used in generated windows, for manual old 2.50 ones, as this case,
the mapping is not generated by defining it as a manual map.

---
M src-db/database/sourcedata/AD_MODEL_OBJECT.xml
---
(0097431)
alostale (developer)
2017-06-16 09:08

reviewed + tested

- Issue History
Date Modified Username Field Change
2017-06-12 13:48 inigosanchez Type defect => backport
2017-06-12 13:48 inigosanchez Target Version => 3.0PR17Q1.2
2017-06-13 10:21 inigosanchez Review Assigned To => alostale
2017-06-13 10:22 hgbot Checkin
2017-06-13 10:22 hgbot Note Added: 0097345
2017-06-13 10:22 hgbot Status scheduled => resolved
2017-06-13 10:22 hgbot Resolution open => fixed
2017-06-13 10:22 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/backports/3.0PR17Q1.2/rev/93b462dd002657b8e22a78cf84ca32f7b8a6cec9 [^]
2017-06-16 09:08 alostale Note Added: 0097431
2017-06-16 09:08 alostale Status resolved => closed
2017-06-16 09:08 alostale Fixed in Version => 3.0PR17Q1.2


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker